#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <math.h>
double drand48();

/* from the file arms.c file */

double simple_arms(); 
int arms();


#define M_PI    3.14159265358979323846 
#define TINY 1.0E-20

/* from the matrix.c file */

void prvec(); 
void null_mat();
void ident();
void scalar_mult();
void outer_vec_ab();
void outer_vec();
void add_mat(); 
void copyab();
void cov_m();
void matprint2();
void matprint4();
void matprint6();
void just_print_infile();
void sq_rt();
void trans_pose ();
void mat_mul();
void mat_aors();
void tinv_mat ();
void inv_mat();
void mat_vec();
void dmat ();
void dvec ();
void vec_add_sub();
double trace();
double cross_vec();
double quad();
double ludcmp();
void jac_rotate();
void eigsort();
void jacobi();



/* from the file ran.c file */

double uni_ran();
double nor_ran( );
double gam_ran();
double iga_ran();
double cau_ran();
double bin_ran();
double poi_sson();
double bet_ran();
void dir_ran();
void mno_ran();
void nomial_ran( );
void mn_ran();
int srs( );
void srswor();
void srswr();
void rwishart(); 
double exp_ran();


/* from the file routines.c */

int metrop(); 
int dcomp();
int dcomp_decrease();
int icomp(); 

double pnorm(); 
double qnorm(); 
double pt(); 
double betai();
double betacf();
double n_choose_r();
double norm_den();
double lbeta();
double min();
double max();
double sqr();
double  wt_am();
double wt_gm();
double har_mean();
double geo_mean();
double covar();
double ln_gam();
double dt();
double norm_den();
double gam_den ();
double nor_den_iv();
double nor_den_va();
double gam_den_wcon();


void  mean_var();
void  wt_mean_var();
void bubble ();
void indexx();
void sumory(); 

double geodetic_distance(); 
double geodeticdistance(); 
void post_sample (); 
void invandsqrt(); 
void normalpost(); 

double bessi1(); 
double bessk0(); 
double bessk1(); 
double bessk(); 
void bessik(); 
double bessi0();
void beschb();



/* from the file ncotes.c */


double ncotes();
double quanc8();









